## wayland-tracer 0.4

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('perfetto', type: 'feature', value: 'auto', description: 'Enable perfetto tracing')
