=== debian/changelog ===
wayland-tracer (0.4-1) bookworm; urgency=medium

  * Add colorised output

 -- David Turner <david.turner@raspberrypi.com>  Thu, 05 Jun 2025 13:57:59 +0100

wayland-tracer (0.3-1) bookworm; urgency=medium

  * Static link against libpercetto/libperfetto
  * Modify debian install script to exclude subprojects

 -- David Turner <david.turner@raspberrypi.com>  Wed, 19 Mar 2025 11:35:27 +0000

wayland-tracer (0.2-1) bookworm; urgency=medium

  * Initial release
  * Forked from https://github.com/dboyan/wayland-tracer
  * Fix some bugs
  * Add -D option to auto-load all protocols
  * Replace autotools with meson, rewrite man page in scdoc
  * Add optional perfetto tracing of wayland protocol messages

 -- David Turner <david.turner@raspberrypi.com>  Thu, 19 Dec 2024 14:46:25 +0000
