=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dperfetto=enabled

override_dh_auto_install:
	meson install -C "obj-${DEB_BUILD_GNU_TYPE}" --skip-subprojects \
		--destdir ../debian/wayland-tracer
